# Get Classifier

Source: https://www.digiparser.com/docs/api/getClassifier

# Get Classifier

Server URL`loading...`

GET

/`api`/`v1`/`classifiers`/`{classifierId}`

Send

Authorization

Path

## [Authorization](#authorization)

`bearerAuth`

authorization<token>

Your API key. Include it directly in the Authorization header as the API key value (e.g., 'authorization: your-api-key-here')

In: `header`

## [Path Parameters](#path-parameters)

classifierId\*string

The ID of the document classifier

Format`uuid`

## [Response Body](#response-body)

### 200

`application/json`

cURL

JavaScript

Go

Python

Java

C#

```
curl -X GET "https://api.digiparser.com/api/v1/classifiers/8af7812d-3b1a-4869-a2b0-a7a3cb2807d1"
```

200

```
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "name": "Claims intake",
  "description": "string",
  "isActive": true,
  "emailAddress": "[email protected]",
  "acceptedFileTypes": [
    {
      "mimeType": "application/pdf",
      "label": "PDF"
    }
  ],
  "settings": {
    "routing": {
      "rules": [
        {
          "id": "string",
          "label": "Invoice",
          "targetParserId": "c1414b5c-cc7f-4042-9bc2-fa9363157ee6"
        }
      ],
      "fallback": {
        "action": "skip",
        "targetParserId": "c1414b5c-cc7f-4042-9bc2-fa9363157ee6"
      },
      "instructions": "string"
    },
    "splitDocuments": {
      "enabled": true,
      "mode": "everyXPages",
      "everyXPages": 5,
      "pageRanges": "1, 3, 7-9",
      "instructions": "Each invoice starts with an invoice number at the top.",
      "partitionKey": "transactions.transaction_date",
      "partitionKeySource": "parserField"
    }
  },
  "counts": {
    "totalDocuments": 0,
    "routed": 0,
    "skipped": 0,
    "failed": 0
  },
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}
```

[

Create Classifier POST

Create a document classifier with at least one routing rule. Classifiers route documents to parsers and do not define extraction fields.

](/docs/api/createClassifier)[

Update Classifier PATCH

Next Page

](/docs/api/updateClassifier)